View Issue Details

IDProjectCategoryView StatusLast Update
0005710CentOS-6rpmdevtoolspublic2012-05-06 14:31
Reporterpemer 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
PlatformcentosOScentos 6OS Version6
Product Version6.2 
Target VersionFixed in Version 
Summary0005710: rpm Skript with wrong resolution in pakage build
Descriptionif you build a pakage with php files,
the rpm Auto-Skripts resolv a wrong dependencies.

The wrong dependencies:
(At the End in post in screen of build the pakage)
Requires: /usr/bin/php /usr/local/bin/php

But
/usr/local/bin/php
is not valid. ( Becaouse the php php-cli and php-common the file or link not found and not automated created )

You can not install the rpm package.

At the factory build mashine isn't installed php.
No changes if php is installed on the factory mashine.

A workaround is to set in the spec file following:
Autoreq: 0

But i think, this is not a good solution.

I didn't found the line, there did this.
Steps To Reproducein Spec file:
BuildArch:noarch

%install
my_root=$(echo "%{buildroot}" | sed 's/\//\\\//g')
find %{buildroot} -type f | sed "s/$my_root//g" > /tmp/file.list

%files -f /tmp/file.list
%defattr(-,root,root,-)
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2012-05-06 14:31 pemer New Issue